function [isbranch, peaks] = circle_test_ridgeness(distribution, val_center)
%input is a circle around a pixel
%detect whether this circle is a branch
%
thresh_bright = 0.01;
isbranch = false;
peaks = [];
len = length(distribution);
k=1;
if distribution(1)>=thresh_bright && distribution(len)<thresh_bright
    if distribution(2)<thresh_bright
        peaks(k) = 1;
    else
        if distribution(3)<thresh_bright
            peaks(k) = 1;
        else
            peaks(k) = 1+1;
        end
    end
    k=k+1;
end
for i=2:len-2%maximum continuous bright pixel is 3
    if distribution(i)>=thresh_bright && distribution(i-1)<thresh_bright
        if distribution(i+1)<thresh_bright
            peaks(k) = i;
        else
            if distribution(i+2)<thresh_bright
                peaks(k) = i;
            else
                peaks(k) = i+1;
            end
        end
        k=k+1;
    end
end
if distribution(len-1)>=thresh_bright && distribution(len-2)<thresh_bright
    if distribution(len)<thresh_bright
        peaks(k) = len-1;
    else
        if distribution(1)<thresh_bright
            peaks(k) = len-1;
        else
            peaks(k) = len;
        end
    end
    k=k+1;
end
if distribution(len)>=thresh_bright && distribution(len-1)<thresh_bright
    if distribution(1)<thresh_bright
        peaks(k) = len;
    else
        if distribution(2)<thresh_bright
            peaks(k) = len;
        else
            peaks(k) = 1;
        end
    end
    k=k+1;
end
peaks = sort(peaks);
num_peaks = k-1;
if num_peaks>=3
    for i=1:num_peaks-1
        mid(i) = floor((peaks(i)+peaks(i+1))/2);
    end
    mid(num_peaks) = floor((peaks(1)+peaks(num_peaks))/2+len/2);
    if mid(num_peaks) > len
        mid(num_peaks) = mid(num_peaks)-len;
    end
    if max(distribution(mid)) < thresh_bright %inbetween is black pixel
        isbranch = true;
    else
        isbranch = false;
    end
end


    