function display_vessegment(handle, segments, segments_half)
%display the vessel segments
num_seg=length(segments);
num_seg_half=length(segments_half);

figure(handle);
hold on;
for i=1:num_seg_half
    one_seg = segments_half{i};
    plot(one_seg(2:end,1), one_seg(2:end,2), '.', 'Color', [65,105,225]/255);
    plot(one_seg(1,1), one_seg(1,2), 'o', 'Color',  [0,255,255]/255, 'MarkerSize', 8, 'LineWidth', 2, 'MarkerFace', [0,255,255]/255);
end
for i=1:num_seg
    one_seg = segments{i};
    plot(one_seg(2:end-1,1), one_seg(2:end-1,2), '.', 'Color', [50,205,50]/255);
    plot(one_seg(1,1), one_seg(1,2), 'o', 'Color',  [0,255,255]/255, 'MarkerSize', 8, 'LineWidth', 2, 'MarkerFace', [0,255,255]/255);
    plot(one_seg(end,1), one_seg(end,2), 'o', 'Color', [0,255,255]/255, 'MarkerSize', 8, 'LineWidth', 2, 'MarkerFace', [0,255,255]/255);
end
hold off;