function my_displaymatch(im1,im2,loc1_match,loc2_match)
% Create a new image showing the two images side by side.
im3 = appendimages(im1,im2);

% Show a figure with lines joining the accepted matches.
%figure('Position', [100 100 size(im3,2) size(im3,1)]);
figure(6);
colormap('gray');
imagesc(im3);
hold on;
cols1 = size(im1,2);
for i = 1: size(loc1_match,1)
    line([loc1_match(i,1) loc2_match(i,1)+cols1], ...
         [loc1_match(i,2) loc2_match(i,2)], 'Color', 'c');
end
hold off;